*{
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    box-sizing: border-box;
}

body{
       background: #f0fafa;
       transition: background-color 0.3s, color 0.3s;
          font-family: 'Poppins', sans-serif;
}






.loader-main{
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
 flex-direction: column;
  background-color: #fff;
}

.loader-main .loader{

width: 250px;
height: auto;

}


header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 9;
    position: fixed;
    top: 0;
    width: 100%;
 padding-right: 10px;
    background:transparent;
}
header .logo{
    font-family: 'Dancing Script',cursive;
    font-size: 2.2rem;
    color: #00374b;
}
header .logo img{
width: 100px;

object-fit: cover;
}

.overlay-menu{
 background-position: center;
 background-size: cover;

  display: flex;
  width: 100%;
  position: fixed;
  height: 100vh;
  left: 0;
  top: 0;
  z-index:1000;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  transform: translateY(-100%);
  transition: transform 0.4s ease-in-out;
}
.overlay-menu::after{
  content: ' ';
  position: absolute;
  top: 0;
  z-index: -1;
  left: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 55, 75, 0.7));
    height: 100%;
    width: 100%;
  
}
#bg__overlay{
    position: absolute;
    z-index: -1;
    height: 100vh;
    top: 0;
object-fit:initial;
    width: 100%;
}

.overlay__video{
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  object-fit: cover;
  top: 0;
  left: 0;
}
.overlay-menu nav ul {
      list-style: none;
      text-align: center;
    }
    .overlay-menu nav ul li {
      margin: 1.5rem 0;
    }
    .overlay-menu nav ul li a {
      font-size: 2rem;
      color: white;
      text-decoration: none;
      font-family: 'Poppins', sans-serif;
    }
    .close-btn {
      position: absolute;
      top: 1rem;
      right: 2rem;
      font-size: 3rem;
      color: white;
      cursor: pointer;
    }

 
 .overlay-menu nav ul li a {
      font-size: 2rem;
      color: white;
      text-decoration: none;
      font-family: 'Poppins', sans-serif;
    }
    header .menu-toggle{
        cursor: pointer;
        font-size: 2rem;
    }

    .overlay-menu.active{
transform: translateY(0);
    }
    
#bg-video{
  position: absolute;
    z-index: -1;
    height: 100vh;
    top: 0;
object-fit:initial;
    width: 100%;
}
#bg-video-wrapper::after {
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
 
  z-index: 1;
}

    .hero{
        display: flex;
        align-items: center;
        justify-content: center;
        height: 90vh;
        z-index: 2;
        position: relative;
        flex-direction: column;
        background: url('./assets/bg.jpg');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        animation: zoomBackground 10s  ease-in-out infinite;
      
    padding: 2rem;
    }

    .hero__text{
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }
    
    .hero p {
font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-style: normal;
 text-align: center;
  font-size: 3.6rem;
  max-width: 700px;
  text-transform: uppercase;
  /* color: #f0f8ff;  */
  text-align: center;
  text-shadow: 1px 2px 4px rgba(0, 0, 0, 0.4); 
color: #f4f4f4;
  padding: 1rem 2rem;

  margin-bottom: 1.5rem;
  display: inline-block;

    }
    .hero .newlogo{
  width: 220px;
  height: auto ;
}

    @keyframes zoomBackground{
      0%{
background-size: 100%;
      }
      50%{
        background-size: 110%;
      }
      100%{
        background-size: 100%;
      }
    }
    .hero h1{
        font-size: 4rem;
        color: #fff;
        margin-bottom: 2rem;
        font-family: 'Dancing Script',cursive;
    }
   
    .hero a{
        cursor: pointer;
        font-size: 1.6rem;
        color: #fff;
        font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
        font-weight: 400;
        transition: all 0.2s ease-in-out;
    }
   
  

    .about{
     display: flex;
     flex-wrap: wrap;
     align-items: center;
       background: #e6f0fa;
     justify-content: center;
     max-width: 1200px;
   padding: 20px;
   margin: 20px auto;
    
    }
    .about .image img{
        object-fit: cover;
        width: 100%;
         box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    }
    .about .text{
        max-width: 500px;
        
        width: 100%;
        margin-left: 20px;
    }
    .about .text  p{
        margin-top: 1rem;
    }

    .products{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 60px;
       flex-wrap: wrap;
    }
    .products  .block{
        overflow: hidden;
        box-shadow: 0 2px 6px rgba(0,0,0,0.05);
        background-color: #fff;
        display: flex;
        align-items: center;
        position: relative;
        cursor: pointer;
        padding: 20px;
        width: 100%;
        max-width: 220px;
        margin: 10px;
        justify-content: center;
         transition: background-color 0.3s ease;
    }


     .block:hover{
             background-color: #d7e9f7;
    }

    .block::after{
        content: '';
        position: absolute;
        border-radius: 50%;
      
        top: -40px;
        right: -40px;
          background: rgba(0, 77, 128, 0.15);
          transform: scale(0);
          width: 80px;
          height: 80px;
           transition: transform 0.4s ease;
      pointer-events: none;
    }
    .block:hover::after{
        transform: scale(1);
    }
    .block .product-name{
         color: #004d80;
         font-family: 'Pacifico',cursive;
         font-size: 1.4rem;
    }

  .thanks{
    display: flex;
   align-items: center;
   justify-content: center;
    margin-top: 70px;
    flex-direction: column;
  }
  .thanks .text .product-name{
    font-size: 1.5rem;
    text-align: center;
    max-width: 700px;

    color: #5D7FC7;
    font-family: 'Glacial Indifference', sans-serif;
  }
  .thanks .elements{
    display: flex;
   align-items: center;
   margin-top: 40px;
   justify-content: center;
   flex-direction: column;
  }
  .elements .item{
    margin: 15px;
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  .elements .item .product-name{
    color: #5D7FC7;
    font-size: 1.3rem;
    display: flex;
    max-width: 400px;
    text-align: center;
   font-family: 'Glacial Indifference', sans-serif;
    flex-direction: column;
    font-weight: 500;
  }

  .elements .names .item{
    margin: 0;
    font-size: 1.3rem;
  }

  .elements .names{
    margin-bottom: 30px;
  }
    
    .contact{
          margin-top: 80px;
      background: #e6f0fa;
      border-radius: 12px;
      padding: 40px 20px;
      max-width: 600px;
      margin-left: auto;
      margin-right: auto;
      text-align: center;
    }
      #contact h2 {
      margin-bottom: 10px;
    }
    #contact form {
      display: flex;
      flex-direction: column;
      gap: 15px;
      margin-top: 20px;
    }

    #contact form textarea{
          border: 2px solid #004d80;
          padding: 10px;
          border-radius: 5px;
          resize: none;
          font-size: 1rem;
           font-family: 'Arial', sans-serif;
    }

    #contact form input{
        padding: 10px;
        border: 2px solid #004d80;
        border-radius: 5px;
        font-size: 1rem;
    }
    #contact button{
        padding: 12px;
          border: none;
      border-radius: 5px;
      color: #fff;
      font-size: 1.1rem;
        cursor: pointer;
        background-color:  #004d80;;
        transition: background-color 0.3s ease-in-out;
    }

#contact button:hover{
      background-color: #0073b1;
}
 #contact .instagram-link {
      margin-top: 25px;
      display: inline-block;
      color: #004d80;
      text-decoration: none;
      font-weight: 600;
      font-size: 1.1rem;
      border-bottom: 2px solid transparent;
      transition: border-color 0.3s ease;
    }
    #contact .instagram-link:hover {
      border-color: #004d80;
    }

    #contact .note{
        margin-top: 20px ;
        font-size: 1.2rem;
        font-family: 'Pacifico',cursive;
        color: #004d80;
    }
    @media(max-width:768px){
        .about .text{
            text-align: center;
        }
 .hero{
            height: 70vh;
        }
       
    }

    @media(max-width:991px){
         .hero{
            height: 80vh;
        }
        .hero p{
          font-size: 1.7rem;
        }
        .hero a,p{
          font-size: 1.4rem;
        }
       
    }

    @media(max-width:340px){
      .hero{
        height: 92vh;
      }
    }

